"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
const sendToGateway = (jwt, backendUrl, data) => __awaiter(this, void 0, void 0, function* () {
    try {
        yield axios_1.default.post(`${backendUrl}gateway`, data, {
            headers: {
                'Content-Type': 'application/json',
                'Authorization': `jwt ${jwt}`
            }
        });
        return {
            success: true
        };
    }
    catch (err) {
        return {
            success: false,
            message: err.response.data
        };
    }
});
exports.sendToGateway = sendToGateway;
const checkGatewayStatus = (jwt, backendUrl) => __awaiter(this, void 0, void 0, function* () {
    try {
        const response = yield axios_1.default.get(`${backendUrl}gateway`, {
            headers: {
                'Content-Type': 'application/json',
                'Authorization': `jwt ${jwt}`
            }
        });
        return {
            success: true,
            data: response.data
        };
    }
    catch (err) {
        return {
            success: false,
            message: err.response.data
        };
    }
});
exports.checkGatewayStatus = checkGatewayStatus;
const sendStartHandover = (jwt, backendUrl, userId) => __awaiter(this, void 0, void 0, function* () {
    try {
        const response = yield axios_1.default.post(`${backendUrl}gateway/startHandover/${userId}`, {}, {
            headers: {
                'Content-Type': 'application/json',
                'Authorization': `jwt ${jwt}`
            }
        });
        return {
            success: true,
            data: response.data
        };
    }
    catch (err) {
        return {
            success: false,
            message: err.response.data
        };
    }
});
exports.sendStartHandover = sendStartHandover;
const queryHandoverStatus = (jwt, backendUrl, userId) => __awaiter(this, void 0, void 0, function* () {
    try {
        const response = yield axios_1.default.get(`${backendUrl}gateway/handoverStatus/${userId}`, {
            headers: {
                'Content-Type': 'application/json',
                'Authorization': `jwt ${jwt}`
            }
        });
        return {
            success: true,
            data: response.data
        };
    }
    catch (err) {
        return {
            success: false,
            message: err.response.data
        };
    }
});
exports.queryHandoverStatus = queryHandoverStatus;
const queryConversationIds = (jwt, backendUrl) => __awaiter(this, void 0, void 0, function* () {
    try {
        const response = yield axios_1.default.get(`${backendUrl}gateway/conversationIds`, {
            headers: {
                'Content-Type': 'application/json',
                'Authorization': `jwt ${jwt}`
            }
        });
        return {
            success: true,
            data: response.data
        };
    }
    catch (err) {
        return {
            success: false,
            message: err.response.data
        };
    }
});
exports.queryConversationIds = queryConversationIds;
//# sourceMappingURL=index.js.map